Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 299847 - Alarm pop-up only shows once
: Alarm pop-up only shows once
Product: Calendar
Classification: Client Software
Component: Lightning Only (show other bugs)
: Trunk
: x86 Linux
: -- normal (vote)
: ---
Assigned To: Joey Minta
Depends on:
Blocks: lightning-0.1
  Show dependency treegraph
Reported: 2005-07-06 09:36 PDT by Joey Minta
Modified: 2006-01-21 12:03 PST (History)
1 user (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---

patch v1 (1.42 KB, patch)
2005-07-09 03:54 PDT, Joey Minta
no flags Details | Diff | Splinter Review
use getMostRecentWindow (2.22 KB, patch)
2006-01-18 20:02 PST, Joey Minta
dmose: first‑review+
Details | Diff | Splinter Review

Description Joey Minta 2005-07-06 09:36:08 PDT
I'm only getting lightning's alarm window to pop-up once per session.

Steps to Reproduce:
1.) Set 2 alarms, 1 minute apart
2.) When the first alarm fires, close the alarm window.
3.) Wait for the second alarm.

Actual Results:
2nd alarm window never shows.

It seems !gAlarmWindow is false the second time the alarm observer is called.
Comment 1 Joey Minta 2005-07-09 03:54:36 PDT
Created attachment 188758 [details] [diff] [review]
patch v1

This is one option for fixing the problem, I'm sure there are others.
Comment 2 Joey Minta 2005-10-26 10:24:03 PDT
Comment on attachment 188758 [details] [diff] [review]
patch v1

dmose, do you want to take a look at this?  I think pavlov is a bit busy with other things.
Comment 3 Joey Minta 2005-11-18 12:20:48 PST
Comment on attachment 188758 [details] [diff] [review]
patch v1

We decided this might expose security holes in firefox-lightning.  cancelling review-request.
Comment 4 Joey Minta 2006-01-18 20:02:52 PST
Created attachment 208934 [details] [diff] [review]
use getMostRecentWindow

Uses getMostRecentWindow.  Given bug 323678 comment #2, this seems like the best way to go.  Tested with all the different scenarios (alarm window open/closed, alarm window previously closed/not previously closed) and alarms fired as expected in each.
Comment 5 Dan Mosedale (:dmose) 2006-01-19 16:46:14 PST
Comment on attachment 208934 [details] [diff] [review]
use getMostRecentWindow

Comment 6 Joey Minta 2006-01-21 12:03:58 PST
patch checked in

Note You need to log in before you can comment on or make changes to this bug.